# Root Entropy Generation

This is a ceremony for generating root entropy.

## Requirements

* [Operator PGP key pairs](/key-types.md#operator-pgp-keypair) 

{{ #include ../../operator-requirements.md:requirements }}

* Each member needs to bring their:

    * Ceremony Notes

* Ceremony SD Card
    - [ ] TODO explain what this is

## Procedure 

1. Enter the designated location with the 2 operators and all required equipment

1. Lock access to the location - there should be no inflow or outflow of people during the ceremony

1. Retrieve sealed laptop and polaroid from locked storage

### Unsealing Tamper Proofing

{{ #include ../../../../component-documents/tamper-evidence-methods.md:vsbwf-procedure-unsealing}}

### Generating Entropy

1. Boot AirgapOS on the airgapped machine

1. Verify the hash of the AirgapOS version once it's booted

1. Run `ceremony.sh`

1. Button mash to ensure adequate entropy on the OS

1. Back up the `shardfile`, and `pub.asc` to at least 2 separate SD cards

### Finalizing Ceremony

1. Seal the airgapped bundle (TODO)